Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0009338 [DCSS] Bug Report minor random 2014-12-17 18:53 2015-01-04 23:55
Reporter Berder View Status public  
Assigned To neil
Priority normal Resolution done  
Status resolved   Product Branch 0.16 ancient branch
Summary 0009338: Throwing weapons apply reaping damage with a reaping melee weapon equipped
Description As I understand Sword of Zonguldrok (from the learndb entry), it's supposed to reanimate creatures killed by it as friendly undead. Other corpses are supposed to reanimate as hostile undead. However, when I was using the sword, I noticed:

- A couple times, I killed something with the sword definitely dealing the final blow, but the zombie came back hostile. This was inconsistent; usually they came back friendly as expected.
- Things that I killed with tomahawks while wielding the sword consistently came back as friendly zombies even though they were not killed by the sword.

Suggest updating the sword (if this is a bug) or learndb (if it's not).
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0028090)
crate (reporter)
2014-12-17 18:59

Are you sure that for your first issue it was actually the sword itself dealing the final blow? Things like aux attacks do not count as the sword itself. So if you were e.g. a minotaur you'd get lots of headbutt kills that should create hostile zombies.
(0028091)
Bloax (reporter)
2014-12-17 19:00

That seems like a very silly mechanic.
(0028092)
PleasingFungus (administrator)
2014-12-17 19:05

I believe Wyrmbane had a similar issue with aux attacks; I don't remember if a fix was implemented.
(0028093)
Berder (reporter)
2014-12-17 20:04

Well, as an octopode of Dithmenos I theoretically had tentacle slap and shadow shard attacks. However, in the message log, the last message listed before the creature reanimated hostile was me hitting the enemy with the sword, not any aux or shard attacks.
(0028094)
Xentronium (reporter)
2014-12-19 08:21

Message orders sometimes don't reflect the actual order of events in game, so that's probably what's happening.
(0028098)
MarvinPA (developer)
2014-12-20 15:21
edited on: 2014-12-20 16:16

Zonguldrok doesn't have to deal the final blow, reaping chance is based on the total damage dealt by the reaping weapon, so monsters sometimes coming back hostile when you kill them in melee (if you dealt part of the damage with spells or aux attacks, for example) isn't a bug.

I bet throwing tomahawks with a wielded reaping weapon causes it to actually count as reaping damage and causes the second bit (edit: this is definitely the case after testing, haven't tracked it down any further than that).

(0028232)
neil (administrator)
2015-01-04 23:30

This is in fact the case: attack::init_attack sets the damage brand from the attacker's weapon brand. Probably that should be in the melee_attack constructor instead?
(0028233)
neil (administrator)
2015-01-04 23:55

The throwing bug is fixed in trunk (0.16-a0-3496-g6490362), thanks! As MarvinPA noted, the other part isn't a bug: the chance of the zombie coming back friendly depends on what proportion of the damage was done by the sword as opposed to auxes, ranged, allies, etc.

- Issue History
Date Modified Username Field Change
2014-12-17 18:53 Berder New Issue
2014-12-17 18:59 crate Note Added: 0028090
2014-12-17 19:00 Bloax Note Added: 0028091
2014-12-17 19:05 PleasingFungus Note Added: 0028092
2014-12-17 20:04 Berder Note Added: 0028093
2014-12-19 08:21 Xentronium Note Added: 0028094
2014-12-20 15:21 MarvinPA Note Added: 0028098
2014-12-20 16:15 MarvinPA Summary Sword of Zonguldrok issues => Throwing weapons apply reaping damage with a reaping melee weapon equipped
2014-12-20 16:16 MarvinPA Note Edited: 0028098
2015-01-04 23:30 neil Note Added: 0028232
2015-01-04 23:55 neil Note Added: 0028233
2015-01-04 23:55 neil Status new => resolved
2015-01-04 23:55 neil Fixed in Branch => 0.16 development branch
2015-01-04 23:55 neil Resolution open => done
2015-01-04 23:55 neil Assigned To => neil


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker